package md

type MqQueue struct {
	ExchangeName   string `json:"exchangeName"`     //交换机名字
	Name           string `json:"name"`             //队列名字
	Type           string `json:"type"`             //队列类型
	IsPersistent   bool   `json:"is_persistent"`    //队列是否持久化
	RoutKey        string `json:"rout_key"`         //路由
	BindKey        string `json:"bind_key"`         //绑定的路由
	ConsumeFunName string `json:"consume_fun_name"` //消费方法
}

var RabbitMqQueueKeyList = []*MqQueue{
	{
		ExchangeName:   "egg.energy",
		Name:           "egg_energy_star_level_dividend_queue",
		Type:           TopicQueueType,
		IsPersistent:   false,
		RoutKey:        "star_level_dividend",
		BindKey:        "",
		ConsumeFunName: "EggEnergyStartLevelDividendConsume",
	},
	{
		ExchangeName:   "egg.energy",
		Name:           "egg_energy_fund_data_queue",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "fund_data",
		BindKey:        "",
		ConsumeFunName: "EggEnergyDealFundDataConsume",
	},
	{
		ExchangeName:   "egg.energy",
		Name:           "egg_energy_platform_revenue_data_queue",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "platform_revenue_data",
		BindKey:        "",
		ConsumeFunName: "EggEnergyDealPlatformRevenueDataConsume",
	},
	{
		ExchangeName:   "egg.energy",
		Name:           "egg_deal_user_virtual_coin_queue",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "deal_user_virtual_coin",
		BindKey:        "",
		ConsumeFunName: "EggEnergyDealUserVirtualCoinDataConsume",
	},
	{
		ExchangeName:   "im.egg.energy",
		Name:           "im_egg_energy_batch_send_message_queue",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "batch_send_message_data",
		BindKey:        "",
		ConsumeFunName: "IMEggEnergyBatchSendMessageDataConsume",
	},
	{
		ExchangeName:   "im.egg.energy",
		Name:           "im_egg_energy_del_friend_comment_circle_queue",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "del_friend_circle_comment_data",
		BindKey:        "",
		ConsumeFunName: "IMEggEnergyDelFriendCircleDataConsume",
	},
	{
		ExchangeName:   "egg.app",
		Name:           "egg_fin_withdraw_apply",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "egg_fin_withdraw_apply",
		BindKey:        "",
		ConsumeFunName: "EggFinWithdrawApplyDataConsume",
	},
	{
		ExchangeName:   "egg.energy",
		Name:           "egg_energy_settlement_public_give_activity_coin",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "settlement_public_give_activity_coin",
		BindKey:        "",
		ConsumeFunName: "EggEnergySettlementPublicGiveActivityCoinConsume",
	},
	{
		ExchangeName:   "egg.energy",
		Name:           "egg_energy_start_exchange_egg_energy",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "start_exchange_egg_energy",
		BindKey:        "",
		ConsumeFunName: "EggEnergyStartExchangeGreenEnergyConsume",
	},
	{
		ExchangeName:   "egg.energy",
		Name:           "egg_energy_auto_exchange_egg_energy",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "auto_exchange_egg_energy",
		BindKey:        "",
		ConsumeFunName: "EggEnergyAutoExchangeGreenEnergyConsume",
	},
	{
		ExchangeName:   "egg.app",
		Name:           "add_public_platoon_user_relation_commission",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "add_public_platoon_user_relation_commission",
		BindKey:        "",
		ConsumeFunName: "AddPublicPlatoonUserRelationCommissionConsume",
	},
	{
		ExchangeName:   "egg.jpush",
		Name:           "egg_jpush_record_queue",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "jpush_record",
		BindKey:        "",
		ConsumeFunName: "JpushRecordConsume",
	},
	{
		ExchangeName:   "egg.aliyun_sms",
		Name:           "egg_aliyun_sms_record_queue_new",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "aliyun_sms_record",
		BindKey:        "",
		ConsumeFunName: "AliyunSmsRecordConsume",
	},
	{
		ExchangeName:   "egg.advertising",
		Name:           "egg_advertising_smash",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "advertising_smash",
		BindKey:        "",
		ConsumeFunName: "AdvertisingSmashConsume",
	},
	{
		ExchangeName:   "egg.advertising",
		Name:           "egg_advertising_sign",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "advertising_sign",
		BindKey:        "",
		ConsumeFunName: "AdvertisingSignConsume",
	},
	{
		ExchangeName:   "egg.app",
		Name:           "egg_new_user_register_queue",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "egg_new_user_register",
		BindKey:        "",
		ConsumeFunName: "EggEnergyNewUserRegisterDataConsume",
	},
	{
		ExchangeName:   "egg.energy",
		Name:           "egg_energy_user_ecpm",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "user_ecpm",
		BindKey:        "",
		ConsumeFunName: "EggEnergyDealUserECPMConsume",
	},
	{
		ExchangeName:   "egg.canal.topic",
		Name:           "egg_canal_invite_user_nums_queue",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "user_relate",
		BindKey:        "",
		ConsumeFunName: "EggCanalInviteUserNumsConsume",
	},
	{
		ExchangeName:   "egg.canal.topic",
		Name:           "egg_canal_violate_nums_queue",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "user_tag_records",
		BindKey:        "",
		ConsumeFunName: "EggCanalViolateNumsConsume",
	},
	{
		ExchangeName:   "im.egg.energy",
		Name:           "im_egg_energy_send_red_package_queue",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "send_red_package",
		BindKey:        "",
		ConsumeFunName: "IMEggEnergySendRedPackageConsume",
	},
	{
		ExchangeName:   "egg.app",
		Name:           "egg_record_active_queue",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "egg_record_active",
		BindKey:        "",
		ConsumeFunName: "EggRecordActiveDataConsume",
	},
	{
		ExchangeName:   "egg.canal.topic",
		Name:           "egg_canal_person_add_activity_value_queue",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "egg_canal_user_virtual_coin_flow",
		BindKey:        "",
		ConsumeFunName: "EggCanalPersonAddActivityValueConsume",
	},
	{
		ExchangeName:   "egg.video_playlet",
		Name:           "egg_video_reward",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "video",
		BindKey:        "",
		ConsumeFunName: "VideoRewardFunName",
	},
	{
		ExchangeName:   "egg.video_playlet",
		Name:           "egg_playlet_reward",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "playlet",
		BindKey:        "",
		ConsumeFunName: "PlayletRewardFunName",
	},
	{
		ExchangeName:   "egg.user",
		Name:           "egg_user_delete",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "user_delete",
		BindKey:        "",
		ConsumeFunName: "UserDeleteConsume",
	},
	{
		ExchangeName:   "egg.app",
		Name:           "egg_auto_score_queue",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "egg_auto_score",
		BindKey:        "",
		ConsumeFunName: "EggEnergyAutoScoreConsume",
	},
	{
		ExchangeName:   "egg.app",
		Name:           "egg_slow_auto_up_lv",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "egg_slow_auto_up_lv",
		BindKey:        "",
		ConsumeFunName: "EggSlowAutoUpLvConsume",
	},
	{
		ExchangeName:   "egg.canal.topic",
		Name:           "egg_energy_user_activity",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "egg_energy_user_activity",
		BindKey:        "",
		ConsumeFunName: "EggEnergyUserActivityConsume",
	},
	{
		ExchangeName:   "egg.canal.topic",
		Name:           "egg_canal_user",
		Type:           DirectQueueType,
		IsPersistent:   false,
		RoutKey:        "egg_canal_user",
		BindKey:        "",
		ConsumeFunName: "EggCanalUserConsume",
	},
}

const (
	EggSlowAutoUpLvConsume                            = "EggSlowAutoUpLvConsume"
	EggEnergyUserActivityConsume                      = "EggEnergyUserActivityConsume"
	EggCanalUserConsume                               = "EggCanalUserConsume"
	JpushRecordFunName                                = "JpushRecordConsume"
	AliyunSmsRecordFunName                            = "AliyunSmsRecordConsume"
	EggEnergyStartLevelDividendFunName                = "EggEnergyStartLevelDividendConsume"
	EggEnergyDealFundDataFunName                      = "EggEnergyDealFundDataConsume"
	EggEnergyDealPlatformRevenueDataFunName           = "EggEnergyDealPlatformRevenueDataConsume"
	EggEnergyDealUserVirtualCoinDataFunName           = "EggEnergyDealUserVirtualCoinDataConsume"
	IMEggEnergyBatchSendMessageDataFunName            = "IMEggEnergyBatchSendMessageDataConsume"
	IMEggEnergyDelFriendCircleDataFunName             = "IMEggEnergyDelFriendCircleDataConsume"
	EggFinWithdrawApplyDataConsumeFunName             = "EggFinWithdrawApplyDataConsume"
	EggEnergySettlementPublicGiveActivityCoinFunName  = "EggEnergySettlementPublicGiveActivityCoinConsume"
	EggEnergyStartExchangeGreenEnergyFunName          = "EggEnergyStartExchangeGreenEnergyConsume"
	EggEnergyAutoExchangeGreenEnergyFunName           = "EggEnergyAutoExchangeGreenEnergyConsume"
	EggEnergyNewUserRegisterDataFunName               = "EggEnergyNewUserRegisterDataConsume"
	EggEnergyDealUserECPMFunName                      = "EggEnergyDealUserECPMConsume"
	EggCanalInviteUserNumsFunName                     = "EggCanalInviteUserNumsConsume"
	EggCanalViolateNumsFunName                        = "EggCanalViolateNumsConsume"
	IMEggEnergySendRedPackageFunName                  = "IMEggEnergySendRedPackageConsume"
	EggRecordActiveDataFunName                        = "EggRecordActiveDataConsume"
	EggCanalPersonAddActivityValueFunName             = "EggCanalPersonAddActivityValueConsume"
	VideoRewardFunName                                = "VideoRewardFunName"
	PlayletRewardFunName                              = "PlayletRewardFunName"
	UserDeleteFunName                                 = "UserDeleteConsume"
	EggEnergyAutoScoreDataFunName                     = "EggEnergyAutoScoreConsume"
	PublicPlatoonUserRelationCommissionConsumeFunName = "AddPublicPlatoonUserRelationCommissionConsume"
)
